### AUTOUPDATE-OFF: 1
Name:          kalgebra
Version:       24.08.0
Release:       1mamba
Summary:       A mathematical calculator based content markup MathML language
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/kalgebra-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libanalitza-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtwebchannel-devel
BuildRequires: qt6-qtwebengine-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
KAlgebra is a mathematical calculator based content markup MathML language.
Nowadays it is capable to make simple MathML operations (arithmetic and logical) and representate 2D and 3D graphs.
It is actually not necessary to know MathML to use KAlgebra.

%debug_package

%prep
%setup -q

%build
%cmake_kf6\
   -DCMAKE_EXE_LINKER_FLAGS="-ltermcap" \
\
%ifarch arm
   -DWITH_OpenGL:BOOL=OFF
%endif

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/calgebra
%ifnarch %{ix86}
%{_bindir}/kalgebra
%endif
%{_bindir}/kalgebramobile
%{_datadir}/metainfo/org.kde.*.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/64x64/apps/kalgebra.png
%{_datadir}/icons/hicolor/scalable/apps/kalgebra.svgz
%ifnarch %{ix86}
%{_datadir}/katepart5/syntax/kalgebra.xml
%endif
%dir %{_datadir}/plasma/plasmoids/org.kde.graphsplasmoid
%{_datadir}/plasma/plasmoids/org.kde.graphsplasmoid/*
%doc COPYING COPYING.DOC COPYING.LIB

%changelog
* Fri Aug 23 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Tue May 21 2024 Automatic Build System <autodist@openmamba.org> 24.04.90-1mamba
- automatic version update by autodist

* Sat Apr 13 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Tue Mar 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.02.0-2mamba
- rebuilt

* Mon Mar 04 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Thu Feb 15 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Thu Nov 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sat Aug 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.08.0-1mamba
- update to 23.08.0

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Thu Apr 20 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Fri Mar 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Fri Feb 03 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Thu Jan 05 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Fri Jun 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Thu May 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Thu Apr 21 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Thu Mar 03 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Thu Dec 09 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Sun Oct 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.08.2-1mamba
- update to 21.08.2

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Thu Aug 12 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Fri Dec 11 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Fri Apr 24 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Thu Feb 06 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Thu Jan 09 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Mon Dec 30 2019 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Thu Nov 07 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 19.08.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Mon May 13 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Thu Feb 07 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Fri Jan 11 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Fri Dec 14 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Tue Jun 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat Apr 21 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sun Jun 25 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Fri Apr 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.0-1mamba
- update to 16.04.0

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Fri Feb 15 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Sep 25 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
